<%
'----------------------------------------------------
sub loadLine_ITEMS(aLine, lineNo)
	dim lineItems
	dim i
	dim SQL_ADD_1
	dim SQL_ADD_2
	dim SQL_ADD_PRICE, SQL_ADD_STOCK
	dim SQL_UPDATE
	dim theValue
	dim theItemName
	dim theItemCode
	dim theItemID
	dim sqlFindItem
	dim rsItem
	dim willInsert
	
	lineItems = split(aLine, fileSeparator)
	
	if ubound(lineItems)<>ubound(fieldsLoad) then call goToErrorPage("INVALID_NUMBER_OF_FIELDS_PER_LINE", lineNo)
	
	SQL_ADD_1 = ""
	SQL_ADD_2 = ""
	SQL_UPDATE = ""
	for i=0 to ubound(lineItems)
		theValue = clearField (lineItems(i))
		if SQL_ADD_1<>"" then SQL_ADD_1 = SQL_ADD_1 & ", "
		if SQL_ADD_2<>"" then SQL_ADD_2 = SQL_ADD_2 & ", "
		if SQL_UPDATE <> "" then SQL_UPDATE = SQL_UPDATE & ", "
		if ucase(fieldsLoad(i,0)) = ucase("productName") then theItemName = theValue
		if ucase(fieldsLoad(i,0)) = ucase("productCode") then theItemCode = theValue
		select case fieldsLoad(i,1)
			case "STRING"
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & "'" & theValue & "'"
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "='" & theValue & "'"
			case "NUMBER"
				if theValue = "" then call goToErrorPage("INVALID_LINE_NUMBER_FIELD", lineNo)
				if not isnumeric(theValue) then call goToErrorPage("INVALID_LINE_NUMBER_FIELD", lineNo)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & theValue
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & theValue
			case "BOOL"
				if theValue = "" then call goToErrorPage("INVALID_LINE_BOOL_FIELD", lineNo)
				if ucase(theValue)<>"Y" and ucase(theValue)<>"N" then call goToErrorPage("INVALID_LINE_BOOL_FIELD", lineNo)
				theValue = translateBoolean(theValue)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & theValue
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & theValue
			case "DATE"
				if theValue = "" then call goToErrorPage("INVALID_LINE_DATE_FIELD", lineNo)
				if not isdate(theValue) then call goToErrorPage("INVALID_LINE_DATE_FIELD", lineNo)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				'SQL_ADD_2 = SQL_ADD_2 & "#" & theValue & "#"
				'SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=#" & theValue & "#"
				if dbType = "MySQL" then
					SQL_ADD_2 = SQL_ADD_2 & dateSepChar & getMySqlDate(theValue) & dateSepChar
					SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & dateSepChar & getMySqlDate(theValue) & dateSepChar
				else
					SQL_ADD_2 = SQL_ADD_2 & dateSepChar & theValue & dateSepChar
					SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & dateSepChar & theValue & dateSepChar
				end if
			case "LOOKUPIMAGE"
				theValue = loadImageID(theValue)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & theValue
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & theValue
			case "LOOKUPCATEG"
				theValue = loadCategID(theValue)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & theValue
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & theValue
		end select
	next
	
	set rsItem = Server.CreateObject("ADODB.Recordset")
	sqlFindItem = "select productID from storeProducts where storeID="&storeID&" and productName='"&theItemName&"' and productCode='"&theItemCode&"'"
	rsItem.open sqlFindItem, storeConn, 1, 1
	if rsItem.eof then
		willInsert = true
	else
		willInsert = false
		theItemID = rsItem("productID")
	end if
	rsItem.close
	
	if willInsert then
		theItemID = 1
		sqlFindItem = "select max(productID) as maxID from storeProducts where storeID="&storeID
		rsItem.open sqlFindItem, storeConn, 1, 1
		if not rsItem.eof then
			if not isnull(rsItem("maxID")) or rsItem("maxID") = "" then
				if rsItem("maxID")>0 then
					theItemID = rsItem("maxID") + 1
				end if
			end if
		end if
		rsItem.close
	end if
	set rsItem = nothing
	
	SQL_ADD_1 = "insert into storeProducts(storeID, productID, " & SQL_ADD_1 & ") values (" & storeID & ", "&theItemID&", " & SQL_ADD_2 & ")"
	SQL_UPDATE = "update storeProducts set "&SQL_UPDATE&" where storeID="&storeID&" and productID="&theItemID
	
	if willInsert then
		runSQL(SQL_ADD_1)
		SQL_ADD_PRICE = "insert into storeProductsPrices (storeID, productID, stepSale) values ("&storeID&", "&theItemID&", 1)"
		runSQL(SQL_ADD_PRICE)
		SQL_ADD_STOCK = "insert into storeProductsStocks (storeID, productID) values ("&storeID&", "&theItemID&")"
		runSQL(SQL_ADD_STOCK)
		numberOfNewItems = numberOfNewItems + 1
	else
		runSQL(SQL_UPDATE)
		numberOfUpdatedItems = numberOfUpdatedItems + 1
	end if
end sub
'----------------------------------------------------
sub loadLine_CATEGS(aLine, lineNo)
	dim lineItems
	dim i
	dim SQL_ADD_1
	dim SQL_ADD_2
	dim SQL_UPDATE
	dim theValue
	dim theCategName
	dim theCategID
	dim sqlFindItem
	dim rsItem
	dim willInsert
	
	lineItems = split(aLine, fileSeparator)
	
	if ubound(lineItems)<>ubound(fieldsLoad) then call goToErrorPage("INVALID_NUMBER_OF_FIELDS_PER_LINE", lineNo)
	
	SQL_ADD_1 = ""
	SQL_ADD_2 = ""
	SQL_UPDATE = ""
	for i=0 to ubound(lineItems)
		theValue = clearField (lineItems(i))
		if SQL_ADD_1<>"" then SQL_ADD_1 = SQL_ADD_1 & ", "
		if SQL_ADD_2<>"" then SQL_ADD_2 = SQL_ADD_2 & ", "
		if SQL_UPDATE <> "" then SQL_UPDATE = SQL_UPDATE & ", "
		if ucase(fieldsLoad(i,0))=ucase("categoryName") then theCategName = theValue
		select case fieldsLoad(i,1)
			case "STRING"
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & "'" & theValue & "'"
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "='" & theValue & "'"
			case "NUMBER"
				if theValue = "" then call goToErrorPage("INVALID_LINE_NUMBER_FIELD", lineNo)
				if not isnumeric(theValue) then call goToErrorPage("INVALID_LINE_NUMBER_FIELD", lineNo)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & theValue
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & theValue
			case "BOOL"
				if theValue = "" then call goToErrorPage("INVALID_LINE_BOOL_FIELD", lineNo)
				if ucase(theValue)<>"Y" and ucase(theValue)<>"N" then call goToErrorPage("INVALID_LINE_BOOL_FIELD", lineNo)
				theValue = translateBoolean(theValue)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & theValue
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & theValue
			case "DATE"
				if theValue = "" then call goToErrorPage("INVALID_LINE_DATE_FIELD", lineNo)
				if not isdate(theValue) then call goToErrorPage("INVALID_LINE_DATE_FIELD", lineNo)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				'SQL_ADD_2 = SQL_ADD_2 & "#" & theValue & "#"
				'SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=#" & theValue & "#"
				if dbType = "MySQL" then
					SQL_ADD_2 = SQL_ADD_2 & dateSepChar & getMySqlDate(theValue) & dateSepChar
					SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & dateSepChar & getMySqlDate(theValue) & dateSepChar
				else
					SQL_ADD_2 = SQL_ADD_2 & dateSepChar & theValue & dateSepChar
					SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & dateSepChar & theValue & dateSepChar
				end if
			case "LOOKUPIMAGE"
				theValue = loadImageID(theValue)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & theValue
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & theValue
						
			case "LOOKUPCATEG"
				theValue = loadCategID(theValue)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & theValue
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & theValue
		end select
	next
	
	set rsItem = Server.CreateObject("ADODB.Recordset")
	sqlFindItem = "select categoryID from storeCategories where storeID="&storeID&" and categoryName='"&theCategName&"'"
	rsItem.open sqlFindItem, storeConn, 1, 1
	if rsItem.eof then
		willInsert = true
	else
		willInsert = false
		theCategID = rsItem("categoryID")
	end if
	rsItem.close
	
	if willInsert then
		theCategID = 1
		sqlFindItem = "select max(categoryID) as maxID from storeCategories where storeID="&storeID
		rsItem.open sqlFindItem, storeConn, 1, 1
		if not rsItem.eof then
			if not isnull(rsItem("maxID")) or rsItem("maxID") = "" then
				if rsItem("maxID")>0 then
					theCategID = rsItem("maxID") + 1
				end if
			end if
		end if
		rsItem.close
	end if
	set rsItem = nothing

	SQL_ADD_1 = "insert into storeCategories(storeID, categoryID, parentCategory, " & SQL_ADD_1 & ") values (" & storeID & ", "&theCategID&", 1, " & SQL_ADD_2 & ")"
	SQL_UPDATE = "update storeCategories set "&SQL_UPDATE&" where storeID="&storeID&" and categoryID="&theCategID
	
	if willInsert then
		runSQL(SQL_ADD_1)
		numberOfNewItems = numberOfNewItems + 1
	else
		runSQL(SQL_UPDATE)
		numberOfUpdatedItems = numberOfUpdatedItems + 1
	end if
end sub
'----------------------------------------------------
sub loadLine_ACLASS(aLine, lineNo)
	dim lineItems
	dim i
	dim SQL_ADD_1
	dim SQL_ADD_2
	dim SQL_UPDATE
	dim theValue
	dim theItemID
	dim sqlFindItem
	dim rsItem
	dim willInsert
	dim theClassName
	dim theClassID
	
	lineItems = split(aLine, fileSeparator)
	
	if ubound(lineItems)<>ubound(fieldsLoad) then call goToErrorPage("INVALID_NUMBER_OF_FIELDS_PER_LINE", lineNo)
	
	SQL_ADD_1 = ""
	SQL_ADD_2 = ""
	SQL_UPDATE = ""
	for i=0 to ubound(lineItems)
		theValue = clearField (lineItems(i))
		if SQL_ADD_1<>"" then SQL_ADD_1 = SQL_ADD_1 & ", "
		if SQL_ADD_2<>"" then SQL_ADD_2 = SQL_ADD_2 & ", "
		if SQL_UPDATE <> "" then SQL_UPDATE = SQL_UPDATE & ", "
		if ucase(fieldsLoad(i,0))=ucase("className") then theClassName = theValue
		select case fieldsLoad(i,1)
			case "STRING"
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & "'" & theValue & "'"
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "='" & theValue & "'"
			case "NUMBER"
				if theValue = "" then call goToErrorPage("INVALID_LINE_NUMBER_FIELD", lineNo)
				if not isnumeric(theValue) then call goToErrorPage("INVALID_LINE_NUMBER_FIELD", lineNo)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & theValue
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & theValue
			case "BOOL"
				if theValue = "" then call goToErrorPage("INVALID_LINE_BOOL_FIELD", lineNo)
				if ucase(theValue)<>"Y" and ucase(theValue)<>"N" then call goToErrorPage("INVALID_LINE_BOOL_FIELD", lineNo)
				theValue = translateBoolean(theValue)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & theValue
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & theValue
			case "DATE"
				if theValue = "" then call goToErrorPage("INVALID_LINE_DATE_FIELD", lineNo)
				if not isdate(theValue) then call goToErrorPage("INVALID_LINE_DATE_FIELD", lineNo)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				'SQL_ADD_2 = SQL_ADD_2 & "#" & theValue & "#"
				'SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=#" & theValue & "#"
				if dbType = "MySQL" then
					SQL_ADD_2 = SQL_ADD_2 & dateSepChar & getMySqlDate(theValue) & dateSepChar
					SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & dateSepChar & getMySqlDate(theValue) & dateSepChar
				else
					SQL_ADD_2 = SQL_ADD_2 & dateSepChar & theValue & dateSepChar
					SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & dateSepChar & theValue & dateSepChar
				end if
			case "LOOKUPIMAGE"
				theValue = loadImageID(theValue)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & theValue
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & theValue
			case "LOOKUPCATEG"
				theValue = loadCategID(theValue)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & theValue
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & theValue
			case "LOOKUPITEM"
				theValue = loadItemID(theValue)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & theValue
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & theValue
				theItemID = theValue
		end select
	next
	
	if theItemID = 0 then
		numberOfWrongItems = numberOfWrongItems + 1
	else
		set rsItem = Server.CreateObject("ADODB.Recordset")
		sqlFindItem = "select classID from storeProductsAtribClass where storeID="&storeID&" and productID="&theItemID&" and className='"&theClassName&"'"
		rsItem.open sqlFindItem, storeConn, 1, 1
		if rsItem.eof then
			willInsert = true
		else
			willInsert = false
			theClassID = rsItem("classID")
		end if
		rsItem.close
	
		if willInsert then
			theClassID = 1
			sqlFindItem = "select max(classID) as maxID from storeProductsAtribClass where storeID="&storeID
			rsItem.open sqlFindItem, storeConn, 1, 1
			if not rsItem.eof then
				if not isnull(rsItem("maxID")) or rsItem("maxID") = "" then
					if rsItem("maxID")>0 then
						theClassID = rsItem("maxID") + 1
					end if
				end if
			end if
			rsItem.close
		end if
		set rsItem = nothing
	
		SQL_ADD_1 = "insert into storeProductsAtribClass(storeID, classID, " & SQL_ADD_1 & ") values (" & storeID & ", "&theClassID&", " & SQL_ADD_2 & ")"
		SQL_UPDATE = "update storeProductsAtribClass set "&SQL_UPDATE&" where storeID="&storeID&" and classID="&theClassID
	
		if willInsert then
			runSQL(SQL_ADD_1)
			numberOfNewItems = numberOfNewItems + 1
		else
			runSQL(SQL_UPDATE)
			numberOfUpdatedItems = numberOfUpdatedItems + 1
		end if
	end if
end sub
'----------------------------------------------------
sub loadLine_ATTRIBS(aLine, lineNo)
	dim lineItems
	dim i
	dim SQL_ADD_1
	dim SQL_ADD_2
	dim SQL_UPDATE
	dim theValue
	dim sqlFindItem
	dim rsItem
	dim willInsert
	dim theClassID
	dim theItemID
	dim theClassName
	dim theItemName
	dim aName
	dim aID
	
	lineItems = split(aLine, fileSeparator)
	
	if ubound(lineItems)<>ubound(fieldsLoad) then call goToErrorPage("INVALID_NUMBER_OF_FIELDS_PER_LINE", lineNo)
	
	SQL_ADD_1 = ""
	SQL_ADD_2 = ""
	SQL_UPDATE = ""
	for i=0 to ubound(lineItems)
		theValue = clearField (lineItems(i))
		if SQL_ADD_1<>"" then SQL_ADD_1 = SQL_ADD_1 & ", "
		if SQL_ADD_2<>"" then SQL_ADD_2 = SQL_ADD_2 & ", "
		if SQL_UPDATE <> "" then SQL_UPDATE = SQL_UPDATE & ", "
		if ucase(fieldsLoad(i,0))=ucase("atribName") then aName = theValue
		select case fieldsLoad(i,1)
			case "STRING"
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & "'" & theValue & "'"
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "='" & theValue & "'"
			case "NUMBER"
				if theValue = "" then call goToErrorPage("INVALID_LINE_NUMBER_FIELD", lineNo)
				if not isnumeric(theValue) then call goToErrorPage("INVALID_LINE_NUMBER_FIELD", lineNo)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & theValue
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & theValue
			case "BOOL"
				if theValue = "" then call goToErrorPage("INVALID_LINE_BOOL_FIELD", lineNo)
				if ucase(theValue)<>"Y" and ucase(theValue)<>"N" then call goToErrorPage("INVALID_LINE_BOOL_FIELD", lineNo)
				theValue = translateBoolean(theValue)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & theValue
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & theValue
			case "DATE"
				if theValue = "" then call goToErrorPage("INVALID_LINE_DATE_FIELD", lineNo)
				if not isdate(theValue) then call goToErrorPage("INVALID_LINE_DATE_FIELD", lineNo)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				'SQL_ADD_2 = SQL_ADD_2 & "#" & theValue & "#"
				'SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=#" & theValue & "#"
				if dbType = "MySQL" then
					SQL_ADD_2 = SQL_ADD_2 & dateSepChar & getMySqlDate(theValue) & dateSepChar
					SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & dateSepChar & getMySqlDate(theValue) & dateSepChar
				else
					SQL_ADD_2 = SQL_ADD_2 & dateSepChar & theValue & dateSepChar
					SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & dateSepChar & theValue & dateSepChar
				end if
			case "LOOKUPIMAGE"
				theValue = loadImageID(theValue)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & theValue
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & theValue
			case "LOOKUPITEM"
				theItemName = theValue
			case "LOOKUPCLASS"
				theClassName = theValue
		end select
	next
	
	theItemID = loadItemID (theItemName)
	'theClassID = loadClassID (theClassName, theItemID)
	theClassID = loadClassID (theClassName)
	
	'if theItemID = 0 or theClassID = 0 then
	if theClassID = 0 then
		numberOfWrongItems = numberOfWrongItems + 1
	else
		set rsItem = Server.CreateObject("ADODB.Recordset")
		sqlFindItem = "select atribID from storeProductsAtribValues where storeID="&storeID&" and productID="&theItemID&" and classID="&theClassID&" and atribName='"&aName&"'"
		rsItem.open sqlFindItem, storeConn, 1, 1
		if rsItem.eof then
			willInsert = true
		else
			willInsert = false
			aID = rsItem("atribID")
		end if
		rsItem.close
	
		set rsItem = nothing
	
		SQL_ADD_1 = "insert into storeProductsAtribValues(storeID, classID, productID, " & SQL_ADD_1 & ") values (" & storeID & ", "&theClassID&", "&theItemID&", "&SQL_ADD_2 & ")"
		SQL_UPDATE = "update storeProductsAtribValues set "&SQL_UPDATE&" where storeID="&storeID&" and atribID="&aID
	
		if willInsert then
			runSQL(SQL_ADD_1)
			numberOfNewItems = numberOfNewItems + 1
		else
			runSQL(SQL_UPDATE)
			numberOfUpdatedItems = numberOfUpdatedItems + 1
		end if
	end if
end sub
'----------------------------------------------------
sub loadLine_PRICES(aLine, lineNo, firstCall)
	dim lineItems
	dim i
	dim SQL_ADD_1
	dim SQL_ADD_2
	dim SQL_UPDATE
	dim SQL_DELETE
	dim theValue
	dim theItemID
	dim sqlFindItem
	dim rsItem
	dim willInsert
	dim theClassName
	dim theClassID
	
	lineItems = split(aLine, fileSeparator)
	
	if ubound(lineItems)<>ubound(fieldsLoad) then call goToErrorPage("INVALID_NUMBER_OF_FIELDS_PER_LINE", lineNo)
	
	SQL_ADD_1 = ""
	SQL_ADD_2 = ""
	SQL_UPDATE = ""
	for i=0 to ubound(lineItems)
		theValue = clearField (lineItems(i))
		if SQL_ADD_1<>"" then SQL_ADD_1 = SQL_ADD_1 & ", "
		if SQL_ADD_2<>"" then SQL_ADD_2 = SQL_ADD_2 & ", "
		if SQL_UPDATE <> "" then SQL_UPDATE = SQL_UPDATE & ", "
		select case fieldsLoad(i,1)
			case "STRING"
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & "'" & theValue & "'"
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "='" & theValue & "'"
			case "NUMBER"
				if theValue = "" then call goToErrorPage("INVALID_LINE_NUMBER_FIELD", lineNo)
				if not isnumeric(theValue) then call goToErrorPage("INVALID_LINE_NUMBER_FIELD", lineNo)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & theValue
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & theValue
			case "BOOL"
				if theValue = "" then call goToErrorPage("INVALID_LINE_BOOL_FIELD", lineNo)
				if ucase(theValue)<>"Y" and ucase(theValue)<>"N" then call goToErrorPage("INVALID_LINE_BOOL_FIELD", lineNo)
				theValue = translateBoolean(theValue)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & theValue
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & theValue
			case "DATE"
				if theValue = "" then call goToErrorPage("INVALID_LINE_DATE_FIELD", lineNo)
				if not isdate(theValue) then call goToErrorPage("INVALID_LINE_DATE_FIELD", lineNo)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				'SQL_ADD_2 = SQL_ADD_2 & "#" & theValue & "#"
				'SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=#" & theValue & "#"
				if dbType = "MySQL" then
					SQL_ADD_2 = SQL_ADD_2 & dateSepChar & getMySqlDate(theValue) & dateSepChar
					SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & dateSepChar & getMySqlDate(theValue) & dateSepChar
				else
					SQL_ADD_2 = SQL_ADD_2 & dateSepChar & theValue & dateSepChar
					SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & dateSepChar & theValue & dateSepChar
				end if
			case "LOOKUPIMAGE"
				theValue = loadImageID(theValue)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & theValue
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & theValue
			case "LOOKUPCATEG"
				theValue = loadCategID(theValue)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & theValue
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & theValue
			case "LOOKUPITEM"
				theValue = loadItemID(theValue)
				SQL_ADD_1 = SQL_ADD_1 & fieldsLoad(i, 0)
				SQL_ADD_2 = SQL_ADD_2 & theValue
				SQL_UPDATE = SQL_UPDATE & fieldsLoad(i, 0) & "=" & theValue
				theItemID = theValue
		end select
	next
	
	if theItemID = 0 then
		numberOfWrongItems = numberOfWrongItems + 1
	else
		if firstCall then
			SQL_DELETE = "delete from storeProductsPrices where storeID = "&storeID&" and productID = "&theItemID
			runSQL(SQL_DELETE)
		end if
		SQL_ADD_1 = "insert into storeProductsPrices(storeID, " & SQL_ADD_1 & ") values (" & storeID & ", " & SQL_ADD_2 & ")"
		runSQL(SQL_ADD_1)
		numberOfNewItems = numberOfNewItems + 1
	end if
end sub
'----------------------------------------------------

%>