<!--#include file="settings.asp"-->
<!--#include file="../verifyStores.asp"-->
<!--#include file="subs/designSettings.asp"-->
<!--#include file="design/start.asp"-->
<!--#include file="subs/utilFunctions.asp"-->

<!--#include file="subs/permissions.asp"-->
<!--#include file="language/language.asp"-->

<%

'---------------------------------------------------------------------
' designSettings.asp : startWindow, endWindow functions
' utilFunctions.asp  : currencyFormat function
'---------------------------------------------------------------------

'---------------------------------------------------------------------
if session("goLogin")<>"no" then
	set storeConn = nothing
	response.redirect "default.asp"
end if
'---------------------------------------------------------------------
call couponsPermissions()
if COUPON_MODULE = MODULE_NOT_AVAILABLE then
	set storeConn = nothing
	session("errMessage") = You_have_no_permission_to_use_this_module_CONST
	response.redirect "error.asp"
end if
'---------------------------------------------------------------------

dim storeRS, sqlString
dim couponID, couponAmount

call startWindow ("Coupons list","100%", true)

Set storeRS = Server.CreateObject("ADODB.Recordset")
	
if not unlimitedStores then
	sqlString = "select count(storeID) as numberStores from storeSettings"
	storeRS.open sqlString, storeConn, 1, 1
	if cint(storeRS("numberStores")) > cint(numberStores) then
		set storeConn = nothing
		set storeRS = nothing
		session("errMessage") = "You are not permitted to create more then "&numberStores&" stores !"
		response.redirect "error.asp"
	end if
	storeRS.close
end if

sqlString = "select couponID, couponName, couponCode, couponAmount, startDate, endDate, oneUser, totalUsers, alreadyUsed from storeCoupons where storeID="&storeID
storeRS.open sqlString, storeConn, 1, 1
%>

<script language="JavaScript">
function deleteCoupon(couponID) {

	if (confirm("Do you want to delete this coupon ?"))
		document.location = "couponAction.asp?couponID="+couponID;

}
</script>

<form method="post" name="shippingList" action="shippingList.asp">
<table border="0" width="100%" cellspacing="0" cellpadding="0">
<%
call saveChanges (2)
if storeRS.eof then %>
	<tr>
		<td colspan="2"><div id="normalText"><b>There are no coupons defined!</b></div></td>
	</tr>
	<tr>
		<td colspan="2"><br></td>
	</tr>
<% else %>
	<tr>
		<td colspan="2"><div id="normalText"><b>List of available coupons</b></div></td>
	</tr>
	<tr>
		<td colspan="2"><br></td>
	</tr>
	<% do while not storeRS.eof 
		couponAmount = cdbl(storeRS("couponAmount")) %>
		<tr>
			<td nowrap width="5%">&nbsp;</td>
			<td width="95%">
				<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td nopwrap><div id="normalText">Coupon name:&nbsp;<b><%= storeRS("couponName") %></b></div></td>
				</tr>
				<tr>
					<td nowrap><div id="normalText">Available between:&nbsp;
						<%= FormatDateTime(storeRS("startDate"),vbLongDate) %>&nbsp;and&nbsp;<%= FormatDateTime(storeRS("endDate"),vbLongDate) %>
					</div></td>
				</tr>
				<tr>
					<td nowrap><div id="normalText">Coupon code:&nbsp;<%= storeRS("couponCode") %></div></td>
				</tr>
				<tr>
					<td nowrap><div id="normalText">Coupon amount:&nbsp;
					<%  if couponAmount > 0 then
						response.write currencyFormat(formatNumber(couponAmount,2)) 
					else
						couponAmount = (-1)*couponAmount*100
						response.write couponAmount&" %" 
					end if %>
					</div></td>
				</tr>
				<tr>
					<td nowrap><div id="normalText">Can be used for:&nbsp;<%= storeRS("totalUsers") %>&nbsp;times</div></td>
				</tr>
				<tr>
					<td nowrap><div id="normalText">Already used for:&nbsp;<%= storeRS("alreadyUsed") %>&nbsp;times</div></td>
				</tr>
				<tr>
					<td nowrap><div id="normalText">Limit/customer:&nbsp;<%= storeRS("oneUser") %></div></td>
				</tr>
				<tr>
					<td nowrap><div id="normalText"><a href="couponAddEdit.asp?couponID=<%= storeRS("couponID") %>">Edit the coupon</a>&nbsp;|
						<a href="JavaScript:deleteCoupon(<%= storeRS("couponID") %>)">Delete the coupon</a>
					</div></td>
				</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td colspan="2"><br></td>
		</tr>
		<% storeRS.movenext
	loop
end if
storeRS.close %>
<tr>
	<td colspan="2"><input type="button" class="b1" value="Add new coupon" onClick="javascript:document.location='couponAddEdit.asp';"</td>
</tr>
</table>

</form>

<% call endWindow() %>
<!--#include file="design/end.asp"-->
<% set storeRS = nothing 
set storeConn = nothing %>